<?
include 'inclydings/gzips.php';
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("inclydings/zag.php");
include 'inclydings/ini.php';
include_once("inclydings/ini.php");
include_once("inclydings/sesi.php");
if (isset($user)) {
$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);
$text = @file("L2dbnam/esql2db/clan/zahvat/$udata[20].dat");
$data23 = explode(":||:",$text[0]);

echo"<b>$udata[20]</b> (Замок под управлением клана <b><a href=\"infoclan.php?$sd&udata23=$data23[0]\">$data23[1]</a></b> / <a href=\"osada.php?$sd\">На осаду</a>)<br/><br/>";


##--------------------------------------------------------------##
if($udata[20]=="Aden Castle Town"){$keeper="Wirphy";}
if($udata[20]=="Dion Town"){$keeper="Tamil";}
if($udata[20]=="Giran Castle Town"){$keeper="Jasmine";}
if($udata[20]=="Gludio Village"){$keeper="Roxxy";}
if($udata[20]=="Talking Island Village"){$keeper="Richlin";}
if($udata[20]=="Godard Town"){$keeper="Mirabel";}
if($udata[20]=="Elven Village"){$keeper="Hunter";}
if($udata[20]=="Oren Town"){$keeper="Trisha";}
if($udata[20]=="Orc Village"){$keeper="Tatiana";}
if($udata[20]=="Rune Township"){$keeper="Flauen";}
if($udata[20]=="Kamael Village"){$keeper="Billia";}
if($udata[20]=="Heine"){$keeper="Elisa";}
if($udata[20]=="Dwarven Village"){$keeper="Clarissa";}
if($udata[20]=="Shtutgart Town"){$keeper="Valentina";}
if($udata[20]=="Dark Elven Village"){$keeper="Prophet";}
if($udata[20]=="Hunter Village"){$keeper="Human";}
##--------------------------------------------------------------##
if($udata[20]=="Aden Castle Town"){$npc="<br/><b>Guard Coleman</b><br/>К югу отсюда находится гигантская пещера. Ее называют Titan Cave. Говорят, что пещера большая, что Титаны все еще живут там. Вы слышали о титанах?";}
if($udata[20]=="Dion Town"){$npc="<br/><b>Guard Hanson</b><br/>Приветствую. Добро пожаловать в нашу деревню. Вокруг много опасных регионов, поэтому вам следует быть очень осторожным во время путешествий. Особенно осторожным необходимо быть от этого места и до церкви передо мной, где вы можете наблюдать руины слева.Никогда не знаешь, где и когда монстр неожиданно атакует вас.";}
if($udata[20]=="Giran Castle Town"){$npc="<br/><b>Guard Atanas</b><br/>Иногда я разговариваю с моим другом Reikin о том, на что водяной дракон Fafurion похож. Действительно, трудно представить, что Fafurion живет на дне озера Innadril, к востоку отсюда. Если этот дракон, в самом деле, угрожает нашей деревне, полное ее уничтожение - всего, лишь вопрос времени, вы так не думаете?.";}
if($udata[20]=="Gludio Village"){$npc="<br/><b>Guard Melville</b><br/>Добро пожаловать в самую невероятную деревню в королевстве! Было время, когда деревня была ужасна, разрушена во время войны, но благодаря активной деятельности правителя в целях восстановления деревни, жители восстанавливают жилье и нормальный образ жизни.Что же, хорошего отдыха! Желаю, чтобы неприятности обошли вас стороной!";}
if($udata[20]=="Talking Island Village"){$npc="<br/><b>Guard Arnold</b><br/>Вы видите это великое сооружение за мостом? Это знаменитый Cedric's Training Hall, известный воспитанием многих великих воинов. Он был основан Sir Cedric, самым прекрасным паладином Aden и правой рукой короля Raoul.<br/>";}
if($udata[20]=="Godard Town"){$npc="<br/><b>Guard Sven</b><br/>Да, сэр! Все в порядке, никаких происшествий, сэр!<br/>Эй!? Да кто вы, черт возьми? Я думал, вы мой капитан!!!<br/>Черт возьми! Похоже, я схожу с ума! Почему еще я мог слушать бред Andrei's? И не начинайте об этих иностранцах!<br/>Я сойду с ума, если останусь здесь!<br/>Проходите! Вы блокируете движение!";}
if($udata[20]=="Elven Village"){$npc="<br/><b>Sentinel Veltress</b><br/>Да пребудет с вами благословение лунного света... Мое имя Veltress, один из стражей. Нас называют смотрителями леса.Если пересечь мост, который вы видите там, и идти по дороге, вы подойдете к озеру Iris. Существует легенда, согласно которой, это озеро образовалось из слез богини Eva.<br/><br/><a href=\"faq.php?$sd&id=64\">Информация о деревне Elven Village<br/>";}
if($udata[20]=="Oren Town"){$npc="<br/><b>Guard Stan</b><br/>Вы идете в Hunters Village, мой друг? Тогда следуйте по этому пути к южной равнине. Затем упретесь в развилку, оттуда на восток. Я слышал, что это место просто потрясающее...";}
if($udata[20]=="Orc Village"){$npc="<br/><b>Praetorian Rukain</b><br/>Я, Praetorian Rukain, лидер тех, кто защищает Immortal Plateau и город гордых Орков!<br/>Вы, молодой Орк, я не прошу ничего, что опозорило бы нашу расу. Вам ясно?<br/><br/><a href=\"faq.php?$sd&id=66\">Информация о деревне Orc Village<br/>";}
if($udata[20]=="Rune Township"){$npc="<br/><b>Guard Richtor</b><br/>Добро пожаловать! Эта деревня близка к замку Elmore, столице королевства! Как вы видите, это непобедимая крепость. Здесь всегда густой туман, так что трудно увидеть целую деревню сразу...<br/>Наша охрана расскажет вам все, что вы хотите знать о деревне.";}
if($udata[20]=="Kamael Village"){$npc="<br/><b>Guard Sanders</b><br/>Здравствуйте, сэр. Какова цель вашего визита? Ах, мое имя Sanders. Я - один из стражей границы. Это место раньше было единственным, которое соединяет наше королевство Aden с Elmore. Но, как вы видите, оно сейчас заблокировано.<br/>Хотя мы не верим, что у Elmore осталось достаточно сил, чтобы захватить нас снова, но по политическим причинам это место не будет открыто в ближайшее время.";}
if($udata[20]=="Heine"){$npc="<br/><b>Guard Kraisen</b><br/>Здравствуйте! Я Охранник Kraisen. Разве не чудесная погода?<br/>Кстати, вы не знаете, что скрывается в этом здании?";}
if($udata[20]=="Dwarven Village"){$npc="<br/><b>Defender Dinkey</b><br/>Эй, меня зовут Dinkey! Я только что, получил новое задание! Меня очень много заставляют учиться. Между прочим, я слышал, что тут опасные монстры, вы не должны их упустить!<br/><br/><a href=\"faq.php?$sd&id=63\">Информация о деревне Dwarven Village<br/>";}
if($udata[20]=="Shtutgart Town"){$npc="<br/><b>Guard Gotter</b><br/>Я здесь новенький, я знаю очень немного об этой территории... Мне больше знакомы Plunderous Plains. Они не так далеко отсюда...";}
if($udata[20]=="Dark Elven Village"){$npc="<br/><b>Sentry Knight Rayla</b><br/>Буду рад предложить вам свои услуги. Я Райла, командир Sentries, тех кто защищает достоинство и честь Темных Эльфов.<br/><br/><a href=\"faq.php?$sd&id=65\">Информация о деревне Dark Elven Village<br/>";}
if($udata[20]=="Hunter Village"){$npc="<br/><b>Guard Gardner</b><br/>Здравствуйте, вы хотите совершить путешествие на восток? Тогда вы можете пройти через Forest of Mirrors...Если услышите голоса позади, пока будете идти через Forest of Mirrors, никогда не оглядывайтесь.Удачного путешествия...<br/>";}

$udata[37]="";

$textus=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';
$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,"$textus");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);

echo"<br/> $npc</font></a><hr>";
echo"<br/><a href=\"shops.php?$sd\">Торговая площадь</a>";

echo"<br/><a href=\"hram.php?$sd&\">Храм</a>";
echo"<br/><a href=\"guild.php?$sd&\">Гильдия воинов</a>";
echo"<br/><a href=\"home.php?$sd&\">Хижина гномов</a>";
echo"<br/><a href=\"sklad.php?$sd\">Склад</a>";
echo"<br/><a href=\"bank.php?$sd\">Банк</a>";
echo"<br/><a href=\"gk.php?$sd\">* $keeper</font></a><b> [Телепорт]</b><hr>";
//echo"<br/><a href=\"Event.php?$sd\"><b>Новогодний евент</b></a> ";
echo"<br/><a href=\"shopskupon.php?$sd\">Менеджер путешественников</a>";
echo"<br/><a href=\"baffzone.php?$sd\">Кристина</a> [Помощник новичков]</a>";
echo"<br/><a href=\"eventfish.php?$sd\">Владимир</a> [Рыболовный магистр]";
echo"<br/><a href=\"lotomy.php?$sd\">Лотарея</a> ";
echo"<br/><a href=\"gmshop.php?$sd\">GmShop</a>";
echo"<br/><a href=\"shops_uda4a.php?$sd\">NPC удачи</a>";
echo"<br/><a href=\"olimpiada.php?$sd\">Менеджер олимпиады</a>";
echo"<br/><a href=\"rassvet.php?$sd&go=1\">Священник заката</a>";
echo"<br/><a href=\"rassvet.php?$sd&\">Священник рассвета</a>";
echo"<br/><a href=\"manor.php?$sd\">Манор менеджер</a>";
echo"<br/><a href=\"olimpiada2.php?$sd\">Отважный Охотник</a>";
echo"<br/><a href=\"olimpiada3.php?$sd\">Олимпиада Закер</a>";
echo"<br/><a href=\"auctioner.php?$sd\">Аукционер</a>";
echo"<br/><a href=\"kristal.php?$sd\">Магистр Baulo</a>";
echo"<br/><a href=\"love.php?$sd\">Церковь</a>";

}else{echo"Пароль или ник неверен. Возможно сессия устарела. Попробуйте авторизироваться заново.";}

include_once"inclydings/down.php";
?>
